petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerSetFromOptions

Sets the graphics type from the options database. Defaults to a PETSc X windows graphics.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerSetFromOptions(PetscViewer viewer)

Collective on PetscViewer Many br

### Input Parameter

PetscViewer -the graphics context Many br

Many br

### Notes

Must be called after PetscViewerCreate() before the PetscViewer is used. Many br

### See Also

PetscViewerCreate(), PetscViewerSetType(), PetscViewerType

Level:intermediate
Location:src/sys/classes/viewer/interface/viewreg.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex10.c.html
src/snes/examples/tutorials/ex12.c.html